GZIP(1)

NAME
gzip - compression/decompression tool using Lempel-Ziv coding (LZ77)

SYNOPSIS
gzip [-cdfhqrtvV] [-S suffix] file [ file [...]]
gunzip [-cfhqrtvV] [-S suffix] file [ file [...]]
zcat [-fhV] file [ file [...]]

DESCRIPTION
The gzip program compresses and decompresses files using Lempel-Ziv coding (LZ77). If no files are specified, gzip will compress from standard input, or decompress to standard output. When in compression mode, each file will be replaced with another file with the suffix, set by the -S suffix option, added, if possible. In decompression mode, each file will be checked for existance, as will the file with the suffix added.

If invoked as gunzip then the -d option is enabled. If invoked as zcat or gzcat then both the -d and -c options are enabled.

OPTIONS
The following options are available:

-c  Thi option specifies that output will go to the standard output stream, leaving files intact.

-d  This option selects decompression rather than compression.

-f  This option turns on force mode. This allows files with multiple links, overwriting of pre-existing files, reading from or writing to a terminal, and when combined with the -c option, allowing non-compressed data to pass through unchanged.

-h  This option prints a usage summary and exits.

-q  With this option, no warnings or errors are printed.

-r  This option is used to gzip the files in a directory tree individually, using the fts(3) library.

-S suffix
    This option changes the default suffix from .gz to suffix.

-t  This option will test compressed files for integrity.

-v  This option turns on verbose mode, which prints the compression ratio for each files compressed.

-V  This option prints the version of the gzip program.

-1

-2

-3

-4

-5

-6

-7

-8

-9  These options change the compression level used, with the -1 option being the fastest, with less compression, and the -9 option being the slowest, with optimal compression.

HISTORY
The gzip program was originally written by Jean-loup Gailly, licensed under the GNU Public Licence. Matthew R. Green wrote this front-end for the freely distribution zlib compression library, for NetBSD 1.3.

BUGS
The gzip program does not print the compression ratio when not using files.

SEE ALSO
fts(3).